<bugID>1310758<Summary>Zoom indicator doesn't always update on tab switching for some sites</Summary><Description>[Note]:
- I managed to reproduce this issue only on some sites like https://twitter.com/, http://www.imdb.com/, https://www.amazon.com/ and https://soundcloud.com/.

[Affected versions]:
- Latest Aurora 51.0a2 (2016-10-17)
- Latest Nightly 52.0a1 (2016-10-16)

[Affected platforms]:
- Windows 10 x64
- Windows 7 x86
- Ubuntu 16.04 x64
- Mac 10.11.6

[Steps to reproduce]:
1. Launch Firefox 
2. Go to one of above mentioned pages (e.g. http://www.imdb.com/)
3. Open the same page in a new tab
4. On the first tab, open the Menu [&#8801;] and click the [+] Zoom In Control button until 120% zoom level is reached
5. Go to the second tab
   - inspect the Zoom indicator 
   - inspect the [%] Zoom Level displayed in Menu Panel
6. Repeat step 4 and step 5 for another zoom level values

[Expected result]:
- Zoom indicator always displays the same zoom level for the same sites (open in different tabs)
- Both Zoom indicator and Menu Panel are accurately reflecting the chosen zoom levels

[Actual result]:
- Zoom indicator doesn't always update on tab switching for the same site 

[Regression range]:
- This issue is not a regression, as the issue is reproducible on 51.0a1 (2016-08-16), when bug 565718 was fixed

[Additional notes]:
- This issue is not always reproducible on the first try</Description></bugID>